CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Recommended modules
 * Installation
 * Configuration
 * Troubleshooting
 * FAQ
 * Maintainers

INTRODUCTION
------------

Extra Paragraph Types: Accordion module provides ability
to add a block with Accordion/FAQ.

REQUIREMENTS
------------

This module requires the following modules:
 * [EPT Core](https://www.drupal.org/project/ept_core)
 * [jQuery UI Accordion](https://www.drupal.org/project/jquery_ui_accordion)
 * [Paragraphs](https://www.drupal.org/project/paragraphs)

EPT Modules use Media module with Media Image type for background images.
Check Media Image type exists before install EPT Core module.

RECOMMENDED MODULES
-------------------

EPT modules provide ability to add different blocks
in Layout Builder in few clicks.
You can install separate paragraph types from this bunch of EPT modules:
 * [EPT Accordion / FAQ](https://www.drupal.org/project/ept_accordion)
 * [EPT Basic Button](https://www.drupal.org/project/ept_basic_button)
 * [EPT Bootstrap Button](https://www.drupal.org/project/ept_bootstrap_button)
 * [EPT Call to Action](https://www.drupal.org/project/ept_cta)
 * [EPT Carousel](https://www.drupal.org/project/ept_carousel)
 * [EPT Counter](https://www.drupal.org/project/ept_counter)
 * [EPT Quote](https://www.drupal.org/project/ept_quote)
 * [EPT Slick Slider](https://www.drupal.org/project/ept_slick_slider)
 * [EPT Slideshow](https://www.drupal.org/project/ept_slideshow)
 * [EPT Stats](https://www.drupal.org/project/ept_stats)
 * [EPT Tabs](https://www.drupal.org/project/ept_tabs)
 * [EPT Text](https://www.drupal.org/project/ept_text)
 * [EPT Timeline](https://www.drupal.org/project/ept_timeline)
 * [EPT Webform](https://www.drupal.org/project/ept_webform)
 * [EPT Webform Popup](https://www.drupal.org/project/ept_webform_popup)

More about EPT blocks read on EPT Core module page:
[EPT Core](https://www.drupal.org/project/ept_core)

INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module. Visit
   https://www.drupal.org/node/1897420 for further information.

CONFIGURATION
-------------

EPT Core has configuration form with Primary/Secondary colors
and Mobile/Tablet/Desktop breakpoints in
Administration » Configuration » Content authoring
» Extra Paragraph Types (EPT) settings

These configs will be applied to other EPT blocks by default.

TROUBLESHOOTING
---------------

 * If you see the error during EPT modules installation:
   "The EPT Carousel needs to be created "Image" media type.
   (Currently using Media type Image version Not created)"
   Then you need to create Image media type:
   Structure » Media types » Add media type
 * If you use Field Layout module,
   it will automatically apply Layout Builder for new EPT paragraph types.
   So you will need to disable Layout Builder for displaying paragraph type fields:

   /admin/structure/block/block-content/manage/ept_accordion/display/default

FAQ
---

Q: Why Tab Title is formatted text field?

A: Requirements for accordion can be different,
EPT: Accordion module tends to be flexible.
Formatted text fields allows to output
additional Font Awesome icons with <i> tag,
emphasize some words with bold font or italic,
display different titles for mobile and desktop version using
css classes, such are .visible-sm, .hidden-md for Bootstrap.


Q: Can I use only one EPT paragraph type, for example EPT Slideshow,
without other modules?

A: Yes, sure. EPT paragraph types tend to be standalone modules.
You can install only needed paragraph types.

MAINTAINERS
-----------

 * [Ivan Abramenko](https://www.drupal.org/u/levmyshkin)
